/*: @file version.h

	Skelton for retropc emulator
	SDL edition

	@author Sasaji
	@date   2012.03.08

	@brief [ version ]
*/

#ifndef _VERSION_H_
#define _VERSION_H_

#define EMU_VERSION	"1.1.2.385"

#define VM_VERSION	"1.1.2.385"

#if defined(__MINGW32__)
#ifdef x86_64
#define PLATFORM "Windows(MinGW) 64bit"
#elif i386
#define PLATFORM "Windows(MinGW) 32bit"
#else
#define PLATFORM "Windows(MinGW)"
#endif
#elif defined(_WIN32)
#define PLATFORM "Windows"
#elif defined(linux)
#ifdef __x86_64
#define PLATFORM "Linux 64bit"
#elif __i386
#define PLATFORM "Linux 32bit"
#else
#define PLATFORM "Linux"
#endif
#elif defined(__APPLE__) && defined(__MACH__)
#ifdef __x86_64
#define PLATFORM "MacOSX 64bit"
#elif __i386
#define PLATFORM "MacOSX 32bit"
#else
#define PLATFORM "MacOSX"
#endif
#elif defined(__FreeBSD__)
#define PLATFORM "FreeBSD"
#else
#define PLATFORM "Unknown"
#endif

#endif /* _VERSION_H_ */
